
package tiresias;

import javax.xml.bind.JAXBElement;
import javax.xml.bind.annotation.XmlElementDecl;
import javax.xml.bind.annotation.XmlRegistry;
import javax.xml.namespace.QName;


/**
 * This object contains factory methods for each 
 * Java content interface and Java element interface 
 * generated in the tiresias package. 
 * <p>An ObjectFactory allows you to programatically 
 * construct new instances of the Java representation 
 * for XML content. The Java representation of XML 
 * content can consist of schema derived interfaces 
 * and classes representing the binding of schema 
 * type definitions, element declarations and model 
 * groups.  Factory methods for each of these are 
 * provided in this class.
 * 
 */
@XmlRegistry
public class ObjectFactory {

    private final static QName _IsBlackListedResponse_QNAME = new QName("http://tiresias/", "isBlackListedResponse");
    private final static QName _IsBlackListed_QNAME = new QName("http://tiresias/", "isBlackListed");

    /**
     * Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: tiresias
     * 
     */
    public ObjectFactory() {
    }

    /**
     * Create an instance of {@link IsBlackListedResponse }
     * 
     */
    public IsBlackListedResponse createIsBlackListedResponse() {
        return new IsBlackListedResponse();
    }

    /**
     * Create an instance of {@link IsBlackListed }
     * 
     */
    public IsBlackListed createIsBlackListed() {
        return new IsBlackListed();
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link IsBlackListedResponse }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://tiresias/", name = "isBlackListedResponse")
    public JAXBElement<IsBlackListedResponse> createIsBlackListedResponse(IsBlackListedResponse value) {
        return new JAXBElement<IsBlackListedResponse>(_IsBlackListedResponse_QNAME, IsBlackListedResponse.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link IsBlackListed }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://tiresias/", name = "isBlackListed")
    public JAXBElement<IsBlackListed> createIsBlackListed(IsBlackListed value) {
        return new JAXBElement<IsBlackListed>(_IsBlackListed_QNAME, IsBlackListed.class, null, value);
    }

}
