
package loan;

import javax.xml.bind.JAXBElement;
import javax.xml.bind.annotation.XmlElementDecl;
import javax.xml.bind.annotation.XmlRegistry;
import javax.xml.namespace.QName;


/**
 * This object contains factory methods for each 
 * Java content interface and Java element interface 
 * generated in the loan package. 
 * <p>An ObjectFactory allows you to programatically 
 * construct new instances of the Java representation 
 * for XML content. The Java representation of XML 
 * content can consist of schema derived interfaces 
 * and classes representing the binding of schema 
 * type definitions, element declarations and model 
 * groups.  Factory methods for each of these are 
 * provided in this class.
 * 
 */
@XmlRegistry
public class ObjectFactory {

    private final static QName _ProcessLoanApplication_QNAME = new QName("http://loan/", "processLoanApplication");
    private final static QName _ProcessLoanApplicationResponse_QNAME = new QName("http://loan/", "processLoanApplicationResponse");

    /**
     * Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: loan
     * 
     */
    public ObjectFactory() {
    }

    /**
     * Create an instance of {@link ProcessLoanApplication }
     * 
     */
    public ProcessLoanApplication createProcessLoanApplication() {
        return new ProcessLoanApplication();
    }

    /**
     * Create an instance of {@link ProcessLoanApplicationResponse }
     * 
     */
    public ProcessLoanApplicationResponse createProcessLoanApplicationResponse() {
        return new ProcessLoanApplicationResponse();
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link ProcessLoanApplication }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://loan/", name = "processLoanApplication")
    public JAXBElement<ProcessLoanApplication> createProcessLoanApplication(ProcessLoanApplication value) {
        return new JAXBElement<ProcessLoanApplication>(_ProcessLoanApplication_QNAME, ProcessLoanApplication.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link ProcessLoanApplicationResponse }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://loan/", name = "processLoanApplicationResponse")
    public JAXBElement<ProcessLoanApplicationResponse> createProcessLoanApplicationResponse(ProcessLoanApplicationResponse value) {
        return new JAXBElement<ProcessLoanApplicationResponse>(_ProcessLoanApplicationResponse_QNAME, ProcessLoanApplicationResponse.class, null, value);
    }

}
