/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package tiresias;

import java.io.File;
import java.io.IOException;
import java.io.InputStream;
import java.util.logging.Level;
import java.util.logging.Logger;
import javax.jws.WebMethod;
import javax.jws.WebParam;
import javax.jws.WebService;
import javax.xml.parsers.*;
import org.w3c.dom.Document;
import org.w3c.dom.Element;
import org.w3c.dom.Node;
import org.w3c.dom.NodeList;
import org.xml.sax.SAXException;

/**
 *
 * @author Myron
 */
@WebService()
public class Tiresias {

    private static String filename = "C:/Users/Myron/Documents/NetBeansProjects/Tiresias/names.xml";

    /**
     * Web service operation
     */
    @WebMethod(operationName = "isBlackListed")
    public boolean isBlackListed(@WebParam(name = "name") String name) {

        try {

            //TODO write your implementation code here:
            File xmlFile = new File(filename);
            System.out.println(xmlFile.getAbsolutePath());

            DocumentBuilderFactory dbFactory = DocumentBuilderFactory.newInstance();
            DocumentBuilder dBuilder = dbFactory.newDocumentBuilder();
            Document doc = dBuilder.parse(xmlFile);
            doc.getDocumentElement().normalize();

            NodeList namesList = doc.getElementsByTagName("name");
            for (int i = 0; i < namesList.getLength(); i++) {
                Node nameNode = namesList.item(i);
                Element nameElement = (Element) nameNode;
                if (nameElement.getTextContent().trim().compareTo(name) == 0) {
                    return true;
                }
            }
        } catch (SAXException ex) {
            Logger.getLogger(Tiresias.class.getName()).log(Level.SEVERE, null, ex);
            ex.printStackTrace();
        } catch (IOException ex) {
            Logger.getLogger(Tiresias.class.getName()).log(Level.SEVERE, null, ex);
            ex.printStackTrace();

        } catch (ParserConfigurationException ex) {
            Logger.getLogger(Tiresias.class.getName()).log(Level.SEVERE, null, ex);
            ex.printStackTrace();

        }
        return false;
    }
}
